Subject: Security Context Holder redundant?
Description

It's a bit inconvenient to get hold of the security context because you need to get the Security Context Holder injected first and ask it
for the current Security Context.
Maybe we don't need the Security Context Holder at all - what other implementation could be imagined anyway?

If there's no other Context Holder implementation at sight we should remove it altogether and use the Security Context directly (which
has a session scope).

Associated revisions
Revision 04c939d3 - 2010-03-01 23:13 - Andreas Förthner

[~TASK] FLOW3 (Security): Removed the security context holder session with its interface. The whole functionality is now available directly through the
security context itself. Resolves #5851

History
#1 - 2010-01-20 17:07 - Robert Lemke
- Target version set to 1.0 alpha 8

#2 - 2010-02-25 18:50 - Andreas Förthner
- Status changed from New to Accepted

#3 - 2010-03-02 00:00 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3895.

2015-08-03 1/1


